#
# spec file for package iputils (Version ss021109)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           iputils
Summary:        IPv4and IPv6 Networking Utilities
Version:        ss021109
Release:        167.18.20
License:        BSD 3-Clause; GPL v2 or later
Group:          Productivity/Networking/Other
Provides:       nkitb
Obsoletes:      nkitb
Url:            ftp://ftp.tux.org/people/alexey-kuznetsov/ip-routing
Source:         iputils-%{version}-try.tar.bz2
Source1:        iputils-ifenslave-1.1.0.tar.bz2
Patch:          %name-%version.diff
Patch1:         %name-%version-rdisc-server.patch
Patch2:         %name-%version-sec-traceroute6-setuid-retvalcheck.diff
Patch3:         %name-%version-sec-ping6-setuid-retvalcheck.diff
Patch4:         %name-%version-sec-ping-setuid-retvalcheck.diff
Patch5:         %name-%version-ping-R-option-doc.diff
Patch6:         %name-headers.patch
Patch7:         %name-%version-pingnamelookuponce.diff
Patch8:         %name-ss021109-traceroute6-stdint.diff
Patch9:         %name-ADDLIB.diff
Patch10:        %name-ss021109-locallinksyntax.diff
Patch11:        iputils-ss021109-ping6kernel261x.diff
Patch12:        %name-ifenslave.patch
Patch13:        %name-HZ.patch
Patch14:        %name-%version-ping6_getaddrinfo.patch
Patch15:        %name-%version-ping_common.dif
Prefix:         %_prefix
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains some small network tools for IPv4 and IPv6 like
rdisc, ping6, traceroute6, tracepath, and tracepath6.



Authors:
--------
    Alexey Kuznetsov <kuznet@ms2.inr.ac.ru>

%prep
%setup -q -n %name -b1
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6
%patch7 -p1
%patch8
%patch9
%patch10 -p1
%patch11 -p1
%patch12
%patch13
%patch14
%patch15
mkdir linux
touch linux/autoconf.h

%build
make KERNEL_INCLUDE=$PWD DEFINES='%optflags -fpie' ADDLIB='-pie'
gcc $RPM_OPT_FLAGS -o ifenslave ifenslave.c

%install
mkdir -p $RPM_BUILD_ROOT%_sbindir
mkdir -p $RPM_BUILD_ROOT/{bin,sbin}
install arping			$RPM_BUILD_ROOT/sbin/
install ifenslave		$RPM_BUILD_ROOT/sbin/
install clockdiff		$RPM_BUILD_ROOT/sbin/
install rdisc			$RPM_BUILD_ROOT/sbin/in.rdisc
install ping			$RPM_BUILD_ROOT/bin
install ping6			$RPM_BUILD_ROOT/bin
install ipg			$RPM_BUILD_ROOT/bin
install tracepath		$RPM_BUILD_ROOT/sbin
install tracepath6		$RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%_mandir/man8
install  -m 644 doc/arping.8		$RPM_BUILD_ROOT%_mandir/man8/
install  -m 644 doc/clockdiff.8		$RPM_BUILD_ROOT%_mandir/man8/
install  -m 644 doc/tracepath.8		$RPM_BUILD_ROOT%_mandir/man8/
install  -m 644 doc/ping.8		$RPM_BUILD_ROOT%_mandir/man8/
install  -m 644 doc/ping.8		$RPM_BUILD_ROOT%_mandir/man8/ping6.8
install  -m 644 doc/pg3.8		$RPM_BUILD_ROOT%_mandir/man8/
install  -m 644 doc/rdisc.8		$RPM_BUILD_ROOT%_mandir/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc RELNOTES
/sbin/arping
/sbin/ifenslave
/sbin/clockdiff
%attr(4755,root,root) /bin/ping
%attr(4755,root,root) /bin/ping6
/bin/ipg
/sbin/tracepath
/sbin/tracepath6
/sbin/in.rdisc
%attr(644,root,root) %_mandir/man8/*

%changelog
* Fri Jan  7 2011 ms@suse.de
- ifenslave: fixed detach/attach code of bonds (bnc #595474)
- ifenslave: fixed output of the IP address - in hex: (bnc #595474)
* Wed Dec  6 2006 ms@suse.de
- ping_common.c: added check for oversized packages (-s) (#222010)
* Thu Nov 23 2006 olh@suse.de
- move ifenslave.c to the first patch to allow quilt setup *.spec
* Wed Nov 22 2006 ms@suse.de
- ping6: use getaddrinfo() instead of gethostbyname2 (#221745)
* Fri Nov 10 2006 ro@suse.de
- fix manpage permissions
* Mon Aug  7 2006 aj@suse.de
- use sysconf(_SC_CLK_TCK) instead of HZ
* Wed Mar  1 2006 schwab@suse.de
- ifenslave: fix display of interface address.
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 mmj@suse.de
- Fix ping6 [#143932]
* Fri Jul  8 2005 mmj@suse.de
- Patch from ak which allows to use the standard ping6
  link-local-addr%%interface syntax instead of ping6 -I interface
  link-local-addr.
* Thu Jun 16 2005 mmj@suse.de
- Compile with -fpie, link with -pie
* Fri Sep  3 2004 kukuk@suse.de
- Fix compiling with new glibc headers
* Fri Mar 19 2004 mmj@suse.de
- Use correct permissions for manpages [#36321]
* Wed Mar 17 2004 mmj@suse.de
- Add Olaf Kirch patch to only do name lookup once in ping [#36161]
* Mon Jan 12 2004 mmj@suse.de
- Update ifenslave.c to the one from linux-2.6.1
* Thu Oct 16 2003 mmj@suse.de
- Don't build as root
- Cleanup a bit
* Wed Jun  4 2003 kukuk@suse.de
- Don't include net/if.h and linux/if.h at the same time
* Mon May 12 2003 mmj@suse.de
- Update to newest snapshot, ss021109
* Mon Feb 24 2003 schwab@suse.de
- Fix use of kernel headers.
* Wed Oct 30 2002 mmj@suse.de
- Apply patch for the ping/ping6 manpage to mention the -R option
  is for IPv4 only.
- Clean up the specfile a bit.
* Fri Oct 25 2002 mmj@suse.de
- Apply patch for setuid() return value check from Thomas Biege
* Wed Oct  2 2002 mmj@suse.de
- Add the ifenslave binary from the kernel Documentation directory
  [#20372]
* Tue Oct  1 2002 mmj@suse.de
- Update to snapshot 020927 which among other things should have
  below fix merged.
* Thu Aug  8 2002 mmj@suse.de
- Apply other patch to fix the dynamic IP problem and still allows
  the from address to be printed. Thanks to Olaf Kirch. [#17519]
* Sun Jul 28 2002 kukuk@suse.de
- remove unused tetex from neededforbuild
* Thu Jul 25 2002 mmj@suse.de
- Disabled traceroute6
* Fri Jul  5 2002 bk@suse.de
- fix build on ia64(use glibc kernel headers, not /usr/src/linux)
- add optflags
* Thu Jul  4 2002 bk@suse.de
- add fix for buffer overflow problem in traceroute6.c(datalen.patch)
- add fix for ipv6 error printing problem (ping6-errorprinting.patch)
- add patch to activate the rdisc server  (rdisc-server.patch)
* Mon Jun 17 2002 mmj@suse.de
- Revert back to the ping from iputils, and apply patch to fix
  the dynamic ip problem.
* Mon Jun 10 2002 mmj@suse.de
- Use old nkitb ping which works with dynamic IP [#12568]
* Mon Feb  4 2002 mmj@suse.de
- Update to snapshot from January 24th 2002
* Tue Jan 22 2002 mmj@suse.de
- Update to snapshot from December 2nd 2001
* Mon Dec 10 2001 bjacke@suse.de
- move arping to /sbin/
* Wed Oct 10 2001 mmj@suse.de
- Update to snapshot from October 2 2001
* Thu Sep  6 2001 kukuk@suse.de
- Remove wrong warning about to old kernel and warning about
  problems with the clock from ping (ping has a special handler
  for this, so it is okay). Both only confuses tester [Bug #10141
  and Bug #10146].
* Sat Aug 25 2001 kukuk@suse.de
- Update to snapshot from 24 Aug 2001
- Use included ping like all other distributions do
- Don't use included rarpd and tftpd
- Lot of new functions and minor bug fixes
* Mon Jun 18 2001 schwab@suse.de
- Fix use of cpp directives inside macro call.
* Fri Mar 30 2001 kukuk@suse.de
- Use ping6 from inet6-apps package [Bug #6354]
* Mon Mar 12 2001 schwab@suse.de
- Fix use of kernel headers.
* Fri Mar  9 2001 kukuk@suse.de
- Add ping and ping.8 manual page from OpenBSD.
* Mon Mar  5 2001 kukuk@suse.de
- fix to build with current glibc
* Wed Feb 14 2001 uli@suse.de
- fixed to build on PPC
* Sat Nov 11 2000 kukuk@suse.de
- Update to new version (20001110).
* Sat Oct 14 2000 kukuk@suse.de
- spec file fixes
* Sat Oct 14 2000 kukuk@suse.de
- Initial version
